Bug 213616 - keeping existing partitions/LVM setup and autoconfigure without free OTHER free space causes exception
keeping existing partitions/LVM setup and autoconfigure without free OTHER fr...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2006-11-02 05:48 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-15 09:01:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda-drive-rhel5.patch (1.23 KB, patch)
2006-11-02 05:48 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-11-02 05:48:41 EST
+++ This bug was initially created as a clone of Bug #182943 +++

While trying to install RHEL4 U3 RC2 and keep my existing LVM/partitions and go
into auto configure, I get an exception with ...

  File "/usr/src/build/711711-ia64/install//usr/lib/anaconda/gui.py", line 789,
in nextClicked
  File "/usr/src/build/711711-ia64/install//usr/lib/anaconda/dispatch.py", line
171, in gotoNext
  File "/usr/src/build/711711-ia64/install//usr/lib/anaconda/dispatch.py", line
239, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/src/build/711711-ia64/install//usr/lib/anaconda/autopart.py", line
1369, in doAutoPartition
    for d in r.drive:
AttributeError: RaidRequestSpec instance has no attribute 'drive'

All space is allocated by the existing config but I suspect the installer is
suppose to tell us that it can't do the right thing/or is doing the wrong thing
and thus bombing out.


Patch from ddearauj@us.ibm.com attached
Comment 1 Bastien Nocera 2006-11-02 05:48:42 EST
Created attachment 140100 [details]
Comment 2 RHEL Product and Program Management 2006-11-02 06:00:17 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 3 Chris Lumens 2006-11-06 11:00:21 EST
Thanks for the patch.  This will be in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.